summaryrefslogtreecommitdiffstats
path: root/abs/not_built/core/systemd/systemd-tools/systemd.install
diff options
context:
space:
mode:
authorJames Meyer <james.meyer@operamail.com>2012-12-01 18:26:09 (GMT)
committerJames Meyer <james.meyer@operamail.com>2012-12-01 18:26:22 (GMT)
commite2c33b0fae1fa4af8bbbfc917eb8e13a3ac0cb37 (patch)
treebee3fe89f2988dd244e11791755e129aa8c03b14 /abs/not_built/core/systemd/systemd-tools/systemd.install
parent8132c218cfc1f1acb1c6d12154e0d4ca075e77f2 (diff)
downloadlinhes_pkgbuild-e2c33b0fae1fa4af8bbbfc917eb8e13a3ac0cb37.zip
linhes_pkgbuild-e2c33b0fae1fa4af8bbbfc917eb8e13a3ac0cb37.tar.gz
linhes_pkgbuild-e2c33b0fae1fa4af8bbbfc917eb8e13a3ac0cb37.tar.bz2
Mass move of uncompiled packages to abs_not_built.
The will sit here for a bit, and then will be removed completely if no one claims them.
Diffstat (limited to 'abs/not_built/core/systemd/systemd-tools/systemd.install')
-rw-r--r--abs/not_built/core/systemd/systemd-tools/systemd.install37
1 files changed, 37 insertions, 0 deletions
diff --git a/abs/not_built/core/systemd/systemd-tools/systemd.install b/abs/not_built/core/systemd/systemd-tools/systemd.install
new file mode 100644
index 0000000..e369f09
--- /dev/null
+++ b/abs/not_built/core/systemd/systemd-tools/systemd.install
@@ -0,0 +1,37 @@
+#!/bin/sh
+
+sd_booted() {
+ [ -e sys/fs/cgroup/systemd ]
+}
+
+post_install() {
+ # enable getty@tty1 by default, but don't track the file
+ systemctl enable getty@.service
+
+ echo ":: Append 'init=/bin/systemd' to your kernel command line in your"
+ echo " bootloader to replace sysvinit with systemd"
+}
+
+post_upgrade() {
+ if sd_booted; then
+ # we moved the binary in 44-2 to /usr, so a reexec leads to a
+ # coredump. refuse this reexec and warn the user that they should
+ # reboot instead.
+ if [ "$(vercmp 44-2 "$2")" -eq 1 ]; then
+ echo "warning: refusing to reexec systemd. the system should be rebooted."
+ else
+ systemctl daemon-reload
+ systemctl daemon-reexec
+ fi
+ fi
+
+ # getty@tty1.service is no longer enabled by default, but we don't want to break
+ # existing setups.
+ if [ "$(vercmp 183 "$2")" -eq 1 ]; then
+ # systemctl seems to be whiny on sysvinit. this will succeed unless something
+ # horrific happens, so just mask the error.
+ systemctl -q enable getty@.service || true
+ fi
+}
+
+# vim:set ts=2 sw=2 et: